<h1>This is lecture 2</h1>
<p>Date is 03 Jan,2023</p>

<h3>Concepts</h3>

<ol>
    <li class="text-primary">Routing</li>
    <li class="text-primary">Pipe</li>
    <li class="text-primary">Services</li>
</ol>


<!-- {{concept}} -->

<ng-container *ngIf="concept=='Routing'">
    <h3>Examples of Routing</h3>
    <h5>Problems</h5>
    <div >
        <p>1. We established router outlet and child routes to execute /lecture-1/problem-1 & /lecture-1/problem-2</p>
        <div style="color:red">
            1. Router Outlet  <br>
            2. Creating the components.  <br>
            3. App Routing Madhe Path vs Component  <br>
            4. Child Components <br>
            5. Children ke andar we gave path vs component <br>
        </div>
    </div>
    <br><br>
    <div >
        <p>1. Without child routes using query params</p>
        <div style="color:blue">
            1. where routerlink is there, pass query params   <br>
            2. constructor => activated route inject  <br>
            3. create a subscription on ar.queryParams.subscribe  <br>
            4. Inside the call back change our variable -> clicked_problem <br>
            5. Use required variable anywhere <br>
        </div>
    </div>
</ng-container>

<ng-container *ngIf="concept=='Services'">

<h3>Examples of Services</h3>
<h5>Problems</h5>

</ng-container>

<ng-container *ngIf="concept=='Pipe'">
    <h3>Examples of Pipe</h3>
    <h5>Problems</h5>
</ng-container>
